Bug 460334 - python -OO not stripping docstrings
python -OO not stripping docstrings
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: python (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: James Antill
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-27 12:44 EDT by Tomeu Vizoso
Modified: 2009-07-14 10:12 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 10:12:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch from upstream fixes (1.39 KB, patch)
2008-08-27 13:00 EDT, Tomeu Vizoso
no flags Details | Diff
correct patch (819 bytes, patch)
2008-08-27 13:42 EDT, Tomeu Vizoso
no flags Details | Diff

  None (edit)
Description Tomeu Vizoso 2008-08-27 12:44:46 EDT
Description of problem:

python -OO is supposed to generate .pyo files without docstrings, but the files still contain those. This increases significantly the memory usage of big python programs (like OLPC's Sugar).

Version-Release number of selected component (if applicable):

python-2.5.1-26

How reproducible:

Always

Steps to Reproduce:

1. compile a module with docstrings like this: 'python -OO /usr/lib/python2.5/py_compile.py <module_with_docstrings.py>'
  
Actual results:

open the <module_with_docstrings.pyo> generated file and check that it still contains the docstrings

Expected results:

the docstrings are not in the .pyo files

Additional info:

Has been fixed upstream in the following tickets:

http://bugs.python.org/issue1722485
http://bugs.python.org/issue1169
Comment 1 Tomeu Vizoso 2008-08-27 13:00:28 EDT
Created attachment 315120 [details]
patch from upstream fixes
Comment 2 Tomeu Vizoso 2008-08-27 13:42:55 EDT
Created attachment 315125 [details]
correct patch
Comment 3 Bug Zapper 2009-06-09 22:33:38 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-07-14 10:12:24 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.